raindrops RubyGem user+dev discussion/patches/pulls/bugs/help
 help / Atom feed
* Rainbow gem install on solaris failed
       [not found] <CAK0mJ0x3fZnHX5RQRV3BNjTnSjbsU-avmeEU0vMaN-8U95T7tw@mail.gmail.com>
@ 2012-01-19 12:53 ` Anjana Sarkar
  2012-01-19 19:37   ` Eric Wong
  0 siblings, 1 reply; 2+ messages in thread
From: Anjana Sarkar @ 2012-01-19 12:53 UTC (permalink / raw)
  To: raindrops

 >>gem install raindrops -l raindrops-0.8.0.gem
Building native extensions.  This could take a while...
ERROR:  Error installing raindrops:
       ERROR: Failed to build gem native extension.

/bb/web/ruby-1.8.7-p174/bin/ruby extconf.rb
checking for mmap() in sys/mman.h... yes
checking for munmap() in sys/mman.h... yes
checking for mremap() in sys/mman.h... no
checking for getpagesize() in unistd.h... yes
checking for rb_thread_blocking_region()... no
checking for rb_thread_io_blocking_region()... no
checking for GCC 4+ atomic builtins... no
checking for atomic_ops.h... no

libatomic_ops is required if GCC 4+ is not used.
See http://www.hpl.hp.com/research/linux/atomic_ops/
gem install raindrops -l raindrops-0.8.0.gem Building native extensions.
 This could take a while...
ERROR:  Error installing raindrops:
       ERROR: Failed to build gem native extension.

/bb/web/ruby-1.8.7-p174/bin/ruby extconf.rb
checking for mmap() in sys/mman.h... yes
checking for munmap() in sys/mman.h... yes
checking for mremap() in sys/mman.h... no
checking for getpagesize() in unistd.h... yes
checking for rb_thread_blocking_region()... no
checking for rb_thread_io_blocking_region()... no
checking for GCC 4+ atomic builtins... no
checking for atomic_ops.h... no

libatomic_ops is required if GCC 4+ is not used.
See http://www.hpl.hp.com/research/linux/atomic_ops/
Users of Debian-based distros may run:

 apt-get install libatomic-ops-dev
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers.  Check the mkmf.log file for more
details.  You may need configuration options.

Provided configuration options:
       --with-opt-dir
       --without-opt-dir
       --with-opt-include
       --without-opt-include=${opt-dir}/include
       --with-opt-lib
       --without-opt-lib=${opt-dir}/lib
       --with-make-prog
       --without-make-prog
       --srcdir=.
       --curdir
       --ruby=/bb/web/ruby-1.8.7-p174/bin/ruby
       --with-atomic_ops-dir
       --without-atomic_ops-dir
       --with-atomic_ops-include
       --without-atomic_ops-include=${atomic_ops-dir}/include
       --with-atomic_ops-lib
       --without-atomic_ops-lib=${atomic_ops-dir}/lib
Gem files will remain installed in
/bb/web/ruby-1.8.7-p174/lib/ruby/gems/1.8/gems/raindrops-0.8.0 for
inspection.
Results logged to
/bb/data3/web/ruby-1.8.7-p174/lib/ruby/gems/1.8/gems/raindrops-0.8.0/ext/raindrops/gem_make.out


*I do have gcc 4+ installed , how do I tell mkmf to use that?*
*mkmf.log shows it is using /opt/SUNWspro12/bin/cc*

*$gcc -v
Using built-in specs.
Target: sparc-sun-solaris2.10
Configured with: ../gcc-4.3.5/configure --prefix=/opt/swt/install/gcc-4.3.5
--with-gmp-lib=/opt/swt/lib --with-gmp-include=/opt/swt/include
Thread model: posix
gcc version 4.3.5 (GCC)
*
* *
*$ uname -a
SunOS sundev1 5.10 142900-02 sun4v sparc SUNW,T5240
*
Thanks in advance,
Anjana



-- 
Anjana Sarkar
Address - 9 Sally Court, Bridgewater, NJ-08807
732-979-5219(mobile)


^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: Rainbow gem install on solaris failed
  2012-01-19 12:53 ` Rainbow gem install on solaris failed Anjana Sarkar
@ 2012-01-19 19:37   ` Eric Wong
  0 siblings, 0 replies; 2+ messages in thread
From: Eric Wong @ 2012-01-19 19:37 UTC (permalink / raw)
  To: raindrops


Anjana Sarkar <anjanadeb@gmail.com> wrote:
> *I do have gcc 4+ installed , how do I tell mkmf to use that?*
> *mkmf.log shows it is using /opt/SUNWspro12/bin/cc*

First, don't send HTML to technical mailing lists.

You can probably override the CC env when running make after running
"ruby extconf.rb" manually.   Not sure how to do that easily via
"gem install"...

There might be a more generic way to specify an alternative
compiler when installing gems.

On the other hand, it might be easier to just install libatomic_ops
(or rebuild Ruby using gcc)

If you really want to get nasty, you can also edit the rbconfig.rb
file in your ruby installation so it points to GCC...  Totally hacky,
though...

> *$gcc -v
> Using built-in specs.
> Target: sparc-sun-solaris2.10
> Configured with: ../gcc-4.3.5/configure --prefix=/opt/swt/install/gcc-4.3.5
> --with-gmp-lib=/opt/swt/lib --with-gmp-include=/opt/swt/include
> Thread model: posix
> gcc version 4.3.5 (GCC)
> *
> * *
> *$ uname -a
> SunOS sundev1 5.10 142900-02 sun4v sparc SUNW,T5240

Anyways I can't provide support for non-Free systems.  Maybe somebody
else on the list has more knowledge in these areas.


^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, back to index

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
     [not found] <CAK0mJ0x3fZnHX5RQRV3BNjTnSjbsU-avmeEU0vMaN-8U95T7tw@mail.gmail.com>
2012-01-19 12:53 ` Rainbow gem install on solaris failed Anjana Sarkar
2012-01-19 19:37   ` Eric Wong

raindrops RubyGem user+dev discussion/patches/pulls/bugs/help

Archives are clonable:
	git clone --mirror https://bogomips.org/raindrops-public
	git clone --mirror http://ou63pmih66umazou.onion/raindrops-public

Newsgroups are available over NNTP:
	nntp://news.public-inbox.org/inbox.comp.lang.ruby.raindrops
	nntp://ou63pmih66umazou.onion/inbox.comp.lang.ruby.raindrops

 note: .onion URLs require Tor: https://www.torproject.org/
       or Tor2web: https://www.tor2web.org/

AGPL code for this site: git clone https://public-inbox.org/ public-inbox